com.thinkaurelius.titan.graphdb.types

## Class TypeUtil

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.TypeUtil

-     public class TypeUtil
      extends Object

  Author:
    Matthias Broecheler (me@matthiasb.com), Joshua Shinavier (http://fortytwo.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InternalRelationType` | `getBaseType(InternalRelationType type)`
    `static ConsistencyModifier` | `getConsistencyModifier(SchemaSource schema)`
    `static Set<PropertyKey>` | `getIndexedKeys(IndexType index)`
    `static int` | `getTTL(SchemaSource schema)`
    `static List<CompositeIndexType>` | `getUniqueIndexes(PropertyKey key)`
    `static boolean` | `hasSimpleInternalVertexKeyIndex(PropertyKey key)`
    `static boolean` | `hasSimpleInternalVertexKeyIndex(TitanProperty prop)`
    `static boolean` | `hasSimpleInternalVertexKeyIndex(TitanRelation rel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeUtil

          public TypeUtil()

  - ### Method Detail

    - #### hasSimpleInternalVertexKeyIndex

          public static boolean hasSimpleInternalVertexKeyIndex(TitanRelation rel)

    - #### hasSimpleInternalVertexKeyIndex

          public static boolean hasSimpleInternalVertexKeyIndex(TitanProperty prop)

    - #### hasSimpleInternalVertexKeyIndex

          public static boolean hasSimpleInternalVertexKeyIndex(PropertyKey key)

    - #### getBaseType

          public static InternalRelationType getBaseType(InternalRelationType type)

    - #### getIndexedKeys

          public static Set<PropertyKey> getIndexedKeys(IndexType index)

    - #### getUniqueIndexes

          public static List<CompositeIndexType> getUniqueIndexes(PropertyKey key)

    - #### getConsistencyModifier

          public static ConsistencyModifier getConsistencyModifier(SchemaSource schema)

    - #### getTTL

          public static int getTTL(SchemaSource schema)

Copyright © 2012–2014. All rights reserved.